Module | Sequel::SQL::QualifyingMethods
In: | lib/sequel/sql.rb

Includes a `qualify` method that created `QualifiedIdentifier`s, used for qualifying column names with a table or table names with a schema, and the * method for returning all columns in the identifier if no arguments are given.

### Methods

* qualify

### Public Instance methods

*(ce=(arg=false;

If no arguments are given, return an SQL::ColumnAll:

      Sequel.expr(:a__b).*  # a.b.*

[Source]

         # File lib/sequel/sql.rb, line 786
    786:       def *(ce=(arg=false;nil))
    787:         if arg == false
    788:           Sequel::SQL::ColumnAll.new(self)
    789:         else
    790:           super(ce)
    791:         end
    792:       end

qualify(qualifier)

Qualify the receiver with the given `qualifier` (table for column/schema for table).

      Sequel.expr(:column).qualify(:table) # "table"."column"
      Sequel.expr(:table).qualify(:schema) # "schema"."table"
      Sequel.qualify(:table, :column).qualify(:schema) # "schema"."table"."column"

[Source]

         # File lib/sequel/sql.rb, line 799
    799:       def qualify(qualifier)
    800:         QualifiedIdentifier.new(qualifier, self)
    801:       end

[Validate]